/*
Pov3 Parametric equation template-
*/
#include "colors.inc"
#include "textures.inc"
#version 3.0
#declare tofile = 0    //set to 1 for debug to file, change .ini

global_settings { assumed_gamma 1.0 }
/*
Put any other constants in the eqns. here
*/
#declare uiter = 8            //Number of steps (lengthwise)
#declare viter = 8            //and across. Edit these for better res.
#declare a=2 //for 8klein
#declare vmin  = 0         //Endpoints in the
#declare vmax  = 2*pi         //parametric rectangle.
#declare umin  =  -pi/4           //I.e. min and max uu and vv
#declare umax  =  3*pi/2

//Simple textures for triangles
#declare simple1 =  texture{
                      pigment {checker color Gray60, color White}
                      finish {ambient 0.2 specular 0.7 roughness 0.05 }
             scale 0.15              }
#declare simple2 =  texture{
                      pigment {color Green}
                      finish {ambient 0.2 specular 0.7 roughness 0.05 }
                           }

//Lights, camera, action
camera
{ location  < 15, 9,-15>
  direction  1*z
  look_at   < 0, 0, 0>
} 

light_source { <-10, 29,-19> color rgb 1 }
light_source { <23, 20, -15> color rgb 1 }
object {box{-30,30 inverse}pigment{color rgb 0.8}}



//OBJECT DECLARED HERE 
#include "paraloop.inc"
//Returns a mesh named surface
object{ surface
        texture{simple1}
rotate <90,0,0>     //This is just changing the
//rotate <0,180,0>     //coordinate system.
scale 3
}



